#version 330

in vec3 position;
in vec3 color;

out vec3 materialColor;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;

void main()
{
	gl_Position = projectionMatrix  * viewMatrix * modelMatrix * vec4(position, 1.0);
	materialColor = color; 
}